/*******************************************************************************
Calculator Project
Copyright 1997, 1998 R3 Software Ltd. All Rights Reserved.

<file>
$Id: CalcApplication.h,v 1.3 1998/12/03 08:35:10 timmy Exp $
Component:	Application
File:		CalcApplication.h
Summary:	Central application code.
Created:	1997.10.01
Author:		timmy
History:
1998.10.20 Removed libprefs objects. Updated code style.
1997.10.14 Implemented full preferences system.
</file>
*******************************************************************************/


#ifndef _CALC_APPLICATION_H
#define _CALC_APPLICATION_H


// BeOS Includes

#ifndef _APPLICATION_H
	#include <app/Application.h>
#endif


// Class Definitions

class CalcWindow;

class CalcApplication : public BApplication {

	public:
		
		// ****** CREATORS ******
		
		// Constructor.
		CalcApplication(
			const char *calcDesc,
			const char *appSig,
			const char *calcName);

		// Destructor.
		virtual ~CalcApplication();

		
		// ****** MANIPULATORS ******
		
		// Application boot completed hook.
		virtual void ReadyToRun();

		// Application about box request hook.
		virtual void AboutRequested();

		// Application quit request hook.
		virtual bool QuitRequested();


	private:

		// Load preferences data.
		bool LoadPrefs();

		// Updates the perferences data.
		void StorePrefs();
		
		// Finds the appropriate preferences file.
		BFile *FindPrefsFile(bool write);

		CalcWindow *mCalcWindow;	// main onscreen window

}; // end class CalcApplication


/******************************************************************************/

#endif // _CALC_APPLICATION_H

// end CalcApplication.h