/*******************************************************************************
Calculator Project
Copyright 1997, 1998 R3 Software Ltd. All Rights Reserved.

<file>
$Id$
Component:	Application
File:		CalcOptionsWindow.h
Summary:	Calculator options window.
Created:	1997.10.25
Author:		timmy
History:
1998.10.20 timmy Revised to use BWindow class as base.
</file>
*******************************************************************************/


#ifndef _CALC_OPTIONS_WINDOW_H
#define _CALC_OPTIONS_WINDOW_H


// BeOS Includes

#ifndef _RECT_H
	#include <interface/Rect.h>
#endif

#ifndef _WINDOW_H
	#include <interface/Window.h>
#endif


// Class Definitions

struct CalcOptions {
	
	bool mAutoNumLock;		// automatically activate numlock
	bool mAudioFeedback;	// provide audio feedback
	
	// Constructor. Set defaults.
	CalcOptions()
		:	mAutoNumLock(true),
			mAudioFeedback(false){
		};

}; // end struct CalcOptions

class BBox;
class BCheckBox;
class BButton;

class CalcOptionsWindow : public BWindow {

	public:		
		
		// ****** CREATORS ******
		
		// Constructor.
		CalcOptionsWindow(BRect frame, CalcOptions *options);

		// Destructor.
		virtual ~CalcOptionsWindow();
		
		
		// ****** MANIPULATORS ******
		
		// Quit requested hook.
		virtual bool QuitRequested();


	private:
		
		BCheckBox *mAutoNumLockCheckBox;	// check boxes
		BCheckBox *mAudioFeedbackCheckBox;
		BButton *mOkButton;					// buttons
		BButton *mCancelButton;
		CalcOptions *mOptions;				// working options
		
}; // end class CalcOptionsWindow


/******************************************************************************/

#endif // _CALC_OPTIONS_WINDOW_H

// end CalcOptionsWindow.h