/*******************************************************************************
Calculator Project
Copyright 1997, 1998 R3 Software Ltd. All Rights Reserved.

<file>
$Id: CalcWindow.h,v 1.5 1998/12/03 08:29:39 timmy Exp $
Component:	Application
File:		CalcWindow.h
Summary:	Calculator GUI window.
Created:	1997.10.02
Author:		timmy
History:
1997.10.14 timmy Implemented full preferences system.
1997.10.15 timmy Full engine intergration.
</file>
*******************************************************************************/


#ifndef _CALC_WINDOW_H
#define _CALC_WINDOW_H


// BeOS Includes

#ifndef _RECT_H
	#include <interface/Rect.h>
#endif

#ifndef _WINDOW_H
	#include <interface/Window.h>
#endif


// Class Definitions

class BMenuItem;
class BPopUpMenu;
class BDragger;

class CalcView;

#pragma export on

class CalcWindow : public BWindow {

	public:
		
		// ****** STATICS ******
		
		static CalcWindow *Instantiate(BMessage *archive);
		
		
		// ****** CREATORS ******
		
		// Constructor.
		CalcWindow(BRect frame, const char *title, const char *calcDesc);

		// Construct from archive.
		CalcWindow(BMessage *archive);

		// Destructor.
		virtual ~CalcWindow();
		
		
		// ****** MANIPULATORS ******
		
		// Message received hook.
		virtual void MessageReceived(BMessage *message);
		
		// Quit requested hook.
		virtual bool QuitRequested();
		
		// Window dimensions changed hook.
		virtual void FrameResized(float width, float height);

		
		// ****** ACCESSORS ******
		
		// Archive this window.
		virtual status_t Archive(BMessage *archive, bool deep = true) const;

	
	private:
	
		BDragger *mDragger;		// Replicant parent view.
		CalcView *mCalcView;	// Main calculator view.
			
}; // end class CalcWindow

#pragma export reset

/******************************************************************************/

#endif // _CALC_WINDOW_H

// end CalcWindow.h