/*******************************************************************************
Calculator Project
Copyright 1997, 1998 R3 Software Ltd. All Rights Reserved.

<file>
$Id: DeskCalc.cpp,v 1.3 1998/12/03 08:30:09 timmy Exp $
Component:	DeskCalc
File:		DeskCalc.c
Summary:	"DeskCalc" main.
Created:	1997.10.01
Author:		timmy
History:
1997.10.15 timmy Full engine intergration.
1998.10.29 timmy Code format tidy.
</file>
*******************************************************************************/


// Library Includes

#if defined(PROFILE)
#include <profile.h>
#endif


// Application Includes

#ifndef _CALC_APPLICATION_H
	#include "CalcApplication.h"
#endif


// Globals

CalcApplication *gCalcApp = NULL;


// Calculator Description

static const char *sCalcDesc =
	"7   8   9   (   )  \n"
	"4   5   6   *   /  \n"
	"1   2   3   +   -  \n"
	"0   .   BS  =   C  \n";

static const char *sAppSig = "application/x-vnd.r3-deskcalc";

static const char *sCalcName = "Desk Calculator";


/*******************************************************************************
<func>
Function:	void main();
Summary:	Main to lauch "DeskCalc".
Author:		timmy
Created:	1997.10.01
Notes:		-
History:
1998.03.06 timmy Added profiling support!
1998.07.26 timmy Updated for R3.
</func>
*******************************************************************************/
int main(){
	
	#if defined(PROFILE)
	PROFILE_INIT(PROFILE_MODE_DETAIL, 50000, 100, 20, 4);
	#endif
	
	gCalcApp = new CalcApplication(sCalcDesc, sAppSig, sCalcName);
	
	gCalcApp->Run();
	delete gCalcApp;
	
	#if defined(PROFILE)
	PROFILE_DUMP("/boot/home/projects/calc/deskcalc.profile");
	#endif
	
} // end main()


/******************************************************************************/

// end DeskCalc.c